Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.monitoring.servletservice
Class ServletServiceMonitor

    java.lang.Object
      org.apache.cocoon.monitoring.servletservice.ServletServiceMonitor

    @ManagedResource
    public class ServletServiceMonitor

extends Object

JMX MBean class that expose base information about Servlet-Services.

Constructor Summary
`ServletServiceMonitor(Servlet servlet)`

Method Summary
`String[]` | `getServletServiceConnections()` Returns list of connections for this Servlet-Service.
`String` | `getServletServiceInfo()` Returns information about this Servlet-Service, such as author, version, and copyright.
`String[]` | `getServletServiceInitParameters()` Returns all ServletService init parameters, excluding null parameters.
`String` | `getServletServiceMountPaths()` Get Servlet-Services month path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletServiceMonitor

    public ServletServiceMonitor(Servlet servlet)

Method Detail

### getServletServiceInitParameters

    @ManagedAttribute(description="Returns all ServletService init parameters")
    public String[] getServletServiceInitParameters()

  Returns all ServletService init parameters, excluding null parameters.

  Returns:
    all ServletService init parameters

### getServletServiceConnections

    @ManagedAttribute(description="Returns list of connections for this Servlet-Service")
    public final String[] getServletServiceConnections()

  Returns list of connections for this Servlet-Service.

  Parameters:
    `servletServiceName` -
  Returns:
    `String` array of connections for this Servlet-Service

### getServletServiceInfo

    @ManagedAttribute(description="Returns information about this Servlet-Service")
    public final String getServletServiceInfo()

  Returns information about this Servlet-Service, such as author, version, and copyright.

  Parameters:
    `servletServiceName` -
  Returns:
    information about this Servlet-Service

### getServletServiceMountPaths

    @ManagedAttribute(description="Returns list of registered Servlet-Services with their month paths")
    public final String getServletServiceMountPaths()

  Get Servlet-Services month path.

  Returns:
    month path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.